%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Solving the Model with set parametrization %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
close all;
clc

addpath('model');

disp('Reading the model...')

%% Solving the model

% What is s?
s = struct();
s.dozlb = 0;
s.doconvexpc = 0;
s.optimrule = 0;
% optimrule = 'true';


p = cz_set_param(s);
p.ggg = 0.08;0.2;

m   = model('cz_model.model','linear',false,'assign',p);

m   = sstate(m, 'blocks=', true, 'growth=', true);
chksstate(m);

m   = solve(m);

ss = get(m,'sstate');

%return

%% Test of the model; checking the steady-states
disp('!!!Steady-States!!!');
% disp('L_GDP_GAP, UNR_GAP, P_GAP, RR_GAP, L_Z_GAP, DL_REER_GAP');
% [ss.L_GDP_GAP ss.UNR_GAP ss.P_GAP ss.RR_GAP ss.L_Z_GAP ss.DL_REER_GAP]

disp('L_GDP_GAP, RR_GAP, L_Z_GAP, DL_REER_GAP');
[ss.L_GDP_GAP ss.RR_GAP ss.L_Z_GAP ss.DL_REER_GAP]


mkdir('results');
save results/model.mat m ss p;
rmpath('model');

disp('Done!')